<?php
  global $TABLE_PREFIX, $CURRENT_USER, $tableName, $schema, $hasEditorAccess, $hasAuthorAccess, $isMyAccountMenu, $menu;
  if ($isMyAccountMenu) { die("Access not permitted for My Account menu!"); }

  require_once "lib/menus/default/list_functions.php";
  require_once "lib/viewer_functions.php";

  //
  redirectSingleRecordAuthorsToEditPage();

  //
  list($listFields, $records, $metaData) = list_functions_init();



  showHeader();
?>

<form method="get" name="preview" action="<?php echo @$schema['_listPage'] ?>" target="_blank">
</form>

<form method="post" name="searchForm" id="searchForm" action="?">
<input type="submit" style="width: 0px; height: 0px; position: absolute; border: none; padding: 0px" /> <!-- bugfix: hitting enter in textfield submits first submit button on form -->
<input type="hidden" name="menu" id="menu" value="<?php echo htmlspecialchars($tableName) ?>" />
<input type="hidden" name="_defaultAction" value="list" />
<input type="hidden" name="page" value="<?php echo $metaData['page'] ?>" />
<input type="hidden" name="showAdvancedSearch" id="showAdvancedSearch" value="<?php echo @$_REQUEST['showAdvancedSearch'] ?>" />

<div class="clear"></div>

<div class="content-box">

  <div class="content-box-header">
    <div style="float:right;">
      <?php if (!@$schema['_disableAdd'] && !userHasSectionViewerAccessOnly($tableName)): ?>
        <input class="button" type="button" name="_action=add" value="<?php et('Create') ?>" onclick="window.location='?menu=<?php print urlencode($menu) ?>&amp;action=add'" />
      <?php endif ?>

      <?php if (@$schema['_listPage']): ?>
        <input class="button" type="button" name="null" value="<?php et('Preview') ?>"  onclick="document.forms.preview.submit();"/>
      <?php endif ?>
    </div>

    <h3><a href="?menu=<?php echo $tableName ?>" ><?php echo $schema['menuName'] ?></a></h3>
    <div class="clear"></div>
  </div> <!-- End .content-box-header -->


  <div class="content-box-content">

<!-- search and results bar -->

<div style="float:left">

  <table cellspacing="0" class="spacedTable">
  <?php
    $searchFields = getSearchFieldLabelsAndHTML();
    foreach ($searchFields as $labelAndHTML):
      list($searchFieldLabel, $searchFieldHTML) = $labelAndHTML;

      $searchFieldClass   = @$searchFieldClass ? 'secondarySearchField' : 'primarySearchField';
      $isFirstSearchField = ($searchFieldClass == 'primarySearchField');
      $searchFieldStyle   = ($isFirstSearchField || @$_REQUEST['showAdvancedSearch']) ? '' : 'display: none';
  ?>
      <tr class="<?php echo $searchFieldClass ?>" style="<?php echo $searchFieldStyle ?>">
        <td><?php echo $searchFieldLabel ?> &nbsp;</td>
        <td>
          <?php echo $searchFieldHTML ?> &nbsp;
          <?php if ($isFirstSearchField && count($searchFields) > 1): ?>
            <span class="hideShowSecondarySearchFields" style="<?php if (@$_REQUEST['showAdvancedSearch'])  { echo 'display: none'; } ?>"><a href="#" onclick="return toggleAdvancedSearchOptions();"><?php et('advanced search &gt;&gt;'); ?></a></span>
            <span class="hideShowSecondarySearchFields" style="<?php if (!@$_REQUEST['showAdvancedSearch']) { echo 'display: none'; } ?>"><a href="#" onclick="return toggleAdvancedSearchOptions();"><?php et('&lt;&lt; basic search'); ?></a></span>
          <?php endif ?>
        </td>
      </tr>
    <?php endforeach ?>

    <tr>
      <td><?php et('Per page'); ?>&nbsp;</td>
      <td>
        <select name="perPage">
          <?php echo getSelectOptions($metaData['perPage'], array(5, 10, 25, 50, 100, 250, 1000)); ?>
        </select>&nbsp;
        <?php if ($searchFields): ?>
        <input class="button" type="submit" name="search"      value="<?php et('Search') ?>"  />
        <input class="button" type="submit" name="_resetSearch" value="<?php et('Reset') ?>"  /><br />
        <?php else: ?>
        <input class="button" type="submit" name="search"      value="<?php et('Update') ?>"  />
        <?php endif ?>
      </td>
    </tr>
  </table>

</div>
<div style="float:right">

 <table cellspacing="0" class="spacedTable">
    <tr>
     <td style="text-align: center">
      <?php if (@$_REQUEST['search']): ?>
        <?php printf(t('Matched: %s of %s'), $metaData['totalMatches'], $metaData['totalRecords']) ?>
      <?php else: ?>
        <?php printf(t('Total Records: %s'), $metaData['totalRecords']) ?>
      <?php endif ?>
     </td>
    </tr>
    <tr>
     <td style="text-align: center">
     <?php
       // This field is renamed to "page" when changed by user
       $pageFieldHTML = "<input class='text-input' type='text' size='3' name='_unused' value='{$metaData['page']}' onchange='this.name=\"page\";' />";
       printf(t('Page %s of %s'), $pageFieldHTML, $metaData['totalPages']);
     ?>

     </td>
    </tr>
    <tr><td style="white-space: nowrap; text-align: center">
     <a href="?menu=<?php echo htmlspecialchars($tableName) ?>&amp;_action=list&amp;page=<?php echo $metaData['prevPage']?>"><?php et('&lt;&lt; Prev Page') ?></a> |
     <a href="?menu=<?php echo htmlspecialchars($tableName) ?>&amp;_action=list&amp;page=<?php echo $metaData['nextPage']?>"><?php et('Next Page &gt;&gt;') ?></a><br />
    </td></tr>
   </table>

</div>

<div class="clear"></div>
<div class="divider_line"></div>

<!-- list column headings -->
<?php showListTable($listFields, $records); ?>


<br/>
  <!-- list footer -->
    <div style="float:left">

       <select name="_advancedAction">
    <?php
      $labelToValues = array();
      $labelToValues['Advanced Commands...'] = '';
      $labelToValues[''] = '';
      $allowEraseSelected = !@$schema['_disableErase'] && !userHasSectionViewerAccessOnly($tableName);
      if ($allowEraseSelected)      { $labelToValues['Erase selected']        = 'eraseRecords'; }
      if ($CURRENT_USER['isAdmin']) { $labelToValues['Admin: Edit Section']   = 'editSection'; }
      if ($CURRENT_USER['isAdmin']) { $labelToValues['Admin: Code Generator'] = 'codeGenerator'; }

      $labelToValues = applyFilters('list_advancedCommands', $labelToValues);

      foreach ($labelToValues as $label => $value) {
        $encodedValue    = htmlspecialchars($value);
        $translatedLabel = htmlspecialchars( t($label) );
        if (!$translatedLabel) { $translatedLabel = "<!-- -->"; }
        print "    <option value='$encodedValue'>$translatedLabel</option>\n";
      }

    ?>
       </select>
       <input name="_advancedActionSubmit" value=" go "  class="button" type="submit" />
       <br />



    </div>
    <div style="float:right">

       <?php if (!@$schema['_disableAdd'] && !userHasSectionViewerAccessOnly($tableName)): ?>
        <input class="button" type="button" name="_action=add" value="<?php et('Create') ?>" onclick="window.location='?menu=<?php print urlencode($menu) ?>&amp;action=add'" />
       <?php endif ?>

       <?php if (@$schema['_listPage']): ?>
         <input class="button" type="button" name="null" value="<?php et('Preview') ?>"  onclick="document.forms.preview.submit();"/>
       <?php endif ?>



    </div>
    <div class="clear"></div>
    <?php
      if($menu == 'listings') {
        echo '<div style="float:left"><span id="priceTotal">Total Price: $0.00</span>&nbsp;&nbsp;<span id="promoCodeSpan">Promo Code: <input type="text" name="promoCode" id="promoCode"></span><span id="promoCodeStatus">&nbsp;</span></div>'; 
      
        echo '
        <script type="text/javascript">
        //alert("ho");
        function getData() {
           var searchForm = $("#searchForm");
           var values = new Array;
           var recordList = "";
           var recordCount = 0;
           var promoCode = "";
           $("input[name=\'selectedRecords[]\']:checked").each(function() {
              values.push($(this).val());
              if(recordCount > 0) {
                recordList = recordList + ",";
              }                
              recordList += ($(this).val());
              recordCount++; 
            });
            promoCode = $("#promoCode").val();
            //alert(recordList);
            //console.log(values);
            $.getJSON("getpricetotal.php?listings=" + recordList + "&promoCode=" + promoCode, function(data) {
               // var obj = jQuery.parseJSON(data);
                $("#priceTotal").html("Total Price: " + data["priceTotal"]);
                // $("#amount").val(data["priceTotal"]);
                $("#custom").val(recordList);
                $("#promoCodeStatus").html(data["promoCodeSuccess"]);
                //alert(data["priceTotal"]);
                if(data["priceTotal"] == "0.00") {
                  $("#paypalButton").hide()
                }
                else {
                  $("#paypalButton").show()
                }
             });      

        
        }
        $("#searchForm").change(function() { 
            getData();
         });        
        
        $("#promoCode").keyup(function() {  
            if($(this).val().length > 3) {    
              getData();
            }            
        });
        getData();
'; 
 echo "</script>";
      
      
  $order_number = date("YmdHis");
  $custom = "";
  $businessEmail = "admin@mydomain.com";
  $paypalProductNumber = "listings";
  $paypalPrice = "0.00";
  $paypalQuantity = "1";      
      
  echo '</form><div>
	<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
		<input type="hidden" name="item_number" value="Order Number:  ' .  @$order_number . '">
		<input type="hidden" name="cmd" value="_xclick">
		<input type="hidden" id="custom" name="custom" value="' .  @$order_number . '">
		<input type="hidden" name="business" value="' .  @$businessEmail . '">
    <input type="hidden" name="currency_code" value="GBP">		
    <input type="hidden" name="notify_url" value="http://mydomain.com/cmsAdmin/_paypal_ipn.php">		
    <input type="hidden" name="return" value="http://mydomain.com/cmsAdmin/admin.php?menu=listings&payment=1">    
		<input name="item_name" type="hidden" id="item_name" value="Product Number: ' .  @$paypalProductNumber . '">
		<input name="amount" type="hidden" id="amount" value="14.99">
		<input name="quantity" type="hidden" id="quantity" value="' .  @$paypalQuantity . '">
		<input name="country" type="hidden" id="country" value="GB">
		<input type="image" src="https://www.paypal.com/en_US/i/btn/btn_buynowCC_LG.gif" border="0" name="submit" id="paypalButton" alt="PayPal - The safer, easier way to pay online!">

		<img alt="" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1">
	</form>     
  </div>
'; 
} ?>


  </div> <!-- End .content-box-content -->





</div>



<script type="text/javascript" src="3rdParty/jqueryPlugins/jquery.tablednd.js"></script>
<script type="text/javascript" src="lib/menus/default/list_functions.js"></script>

<?php showFooter(); ?>
